pipeline {
  agent any
  stages {
    stage('build') {
      steps {
        echo 'build stage'
        sh '/opt/maven/apache-maven-3.6.3/bin/mvn clean package -Dlicense.skip=true'
      }
    }

    stage('build docker img') {
      steps {
        sh '''cp /opt/dockerdep/cdplay.yml cdplay.yml;
ansible-playbook --user jenkins cdplay.yml -vv ;
rm cdplay.yml;
'''
        echo 'docker image pushed'
      }
    }

  }
}